/**
 *  Slicey Pete
 *  @author Drakkos
 *  @started 14/10/2008
 *
 *  If you change this file, please also update it in LPC for Dummies.
 */

#include <armoury.h>
#include "path.h"

inherit "/obj/peddler";

void setup() {
  
  string *items;
  string temp;
  
  set_name ("pete");
  set_short ("Slicey Pete");
  
  add_property ("determinate", "");
  add_property ("unique", 1);
  
  add_adjective ("slicey");
  
  add_alias ("slicey");
  
  set_gender (1);

  set_long ("This is Slicey Pete, the cousin of Stabby Joe.  While people "
    "often assume the worst because of his name, he's not a violent man.  "
    "He was just born in Slice.\n");
    
  basic_setup ("human", "warrior", 50 + random (50));

  setup_nationality ("/std/nationality/genua", "genua");
  add_property ("place", "Genua");
  add_move_zone ("learnville"); 
  set_move_after (30, 60);
    
  load_chat(10, ({ 
    1, "' Stabby's real name is Madeline, you know.",
    1, "' Poor Madeline - he was such a nice boy at one point.",
    1, "' Buy my stuff, or I'll... well, not be happy.",
  }));

  load_a_chat(20, ({ 
    1, "' No, I'm just from Slice!  Leave me alone!",
    1, "' I think I just had an accident!",
  }));
 
  add_respond_to_with( 
    ({ 
        "@say", 
       ({"stabby"}),
       ({"joe"}),
    }), 
      "' He was a nice lad, once.");

  request_item ("black pinstripe trousers", 100);
  request_item ("crisp white shirt", 100);
  request_item ("leather dress shoes", 100);
 
  items = ({"banana", "carrot", "apple", "apricot", "bread", 
    "melon", "cream cake", "jam roll", "meat roll", "tomato"});

  foreach (temp in items) {
    add_object (temp, 5 + random (5));
  }
  
  init_equip();
}
   